Page MenuHomePhabricator

ConfirmCloseWindow should be in core
Closed, ResolvedPublic

Description

mw.ConfirmCloseWindow.js contains code that prevents the window from being closed while an upload is still in progress. It's just a function we call, once, so it's not UW-specific. This is too general a module to keep it locked up in UW.

This bug will take a patchset to core and a near-simultaneous patchset to UW. I would suggest writing both at once, for testing purposes, and making sure the UW one is ready to go first, then we can merge it immediately after the core patch is merged.

Alternatively we could add it to core, wait 'til it's merged, and only then try to remove the module from UW.

Either way, I want this code out of UW and into core so it's not gumming things up. I'm sure the core behaviour on the edit page is very similar, so it may be that there already is a module and it just needs some extra features, or that it could use this code instead and be just as effective.


Version: unspecified
Severity: normal

Details

Reference
bz59215

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:15 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz59215.
bzimport added a subscriber: Unknown Object (MLST).
Tgr added a comment.Jan 3 2014, 9:19 AM

Seems like a good Google Code-In task.

Qgil added a comment.Jan 4 2014, 12:35 AM

GCI ends in two days and we are not creating any new tasks. Still, we will keep featuring easy bugs for newcomers (details to be defined). I'll still add this one to the whiteboard. Thank you!

I would like to work on this bug. Please assign this to me.

tinaj1234: I am resetting the assignee of this issue to default because there has been no signs of progress for the last months. Feel free to assign it to yourself again when you plan to work on this. Thanks for your understanding. :)

mtraceur wrote that "is done but for the code review" but I don't see any link to Gerrit here? Removing "easy" etc.

Gilles closed this task as Resolved.Nov 24 2014, 1:39 PM
Gilles claimed this task.
Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:21 AM